﻿/*
Copyright (C) 2007 Olga Khylkouskaya

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/ 
function AjaxHelper() {
   this._req = null;
   this._successFunction = null;
   this._failFunction = null; 
   this._projectName = null;

   this.onStateChange = function(obj){
     if(obj._req == null || obj._req.readyState !=4 ) return;

     // Verify that the download was successful
     if (obj._req.status != 200) {
       obj._failFunction.call(obj, obj._projectName);
       obj._req = null;
       return;
     }
     var responseText = obj._req.responseText;
     obj._successFunction.call(obj, responseText, obj._projectName);

     // Destroy the XMLHttpRequest object
     obj._req.onreadystatechange = function() {}
     obj._req = null;
  };
  
  this.abortProcess = function() {
     if(this._req != null) {
       this._req.onreadystatechange = function() {}
       this._successFunction = function() {}
       this._failFunction = function() {}
       this._req.abort();
       this._req = null;
     }
  };
  this.sendUrl = function(url, projectName, successFunction, failFunction) {
     this.abortProcess();
     this._req = new XMLHttpRequest();
     this._successFunction = successFunction;
     this._failFunction = failFunction;
     this._projectName = projectName;

     try {
       this._req.open("GET", url + "/" + this._projectName,true);
     } catch (e) {
       // Catch invalid URLs
       this._failFunction.call(this, this._projectName);
       this._req = null;
       return;
     }
     
     var obj = this;
// Set the callback for when the request is completed (or failed)
     this._req.onreadystatechange = function() {
       obj.onStateChange.call(obj, obj);
     }

     // Start send
     try {
       this._req.send();
     } catch (e) {
       // Catch errors sending the request
       this._failFunction.call(this, this._projectName);
       this._req = null;
       return;
     }
  }; 

 }