﻿/*
Copyright (C) 2007 Olga Khylkouskaya

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/ 

function onOpen() {
   cruiseControlEdit.value = options.getValue("cruiseControlEditProp");

   listProjects.value = options.getValue("listProjectsProp");

   intervalEdit.value = options.getValue("intervalEditProp");
}

function onCancel() {
  // No settings will be saved.
}

function onOk() {
  if (validateProp()) {//validate properties when you press ok
    options.putValue("cruiseControlEditProp", cruiseControlEdit.value);
    options.putValue("listProjectsProp", listProjects.value);
    options.putValue("intervalEditProp", intervalEdit.value);
  }
  else {
   return false;
  }
}
function validateProp() {
  var cruiseUrl = cruiseControlEdit.value;
  var isValidate = true;
  var errorMessage;
  if (cruiseUrl == null || cruiseUrl.length == 0) {
    isValidate = false;
    errorMessage = ERR_URL_EMPTY;
  }
  var number = parseInt(intervalEdit.value);
  if (isNaN(number)) {
    isValidate = false;
    errorMessage = intervalEdit.value + " " + VALID_TIMEOUT;
  }
	var projectList = listProjects.value;
  projectList = projectList.replace(/\r/ig,"");
  projectList = projectList.replace(/\s/ig,"");
  if (projectList == null || projectList.length == 0) {
    isValidate = false;
    errorMessage = VALID_PROJ_LIST;
  }
  if (!isValidate) {
    view.alert(errorMessage);
  }
  
  return isValidate;
}
