﻿/*
Copyright (C) 2007 Olga Khylkouskaya

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/ 

var Util = {
/**
 * delete from array empty elements and elements with only new lines symbols
 * also delete repeated project names
 *
 * @param {Array} arr Array to normalize
 * @return {Array} New array without empty or new lines symbols
 */ 
normalizeArr: function(arr) {
  var newArr = new Array();
  for (i in arr) {
   if ( !(arr[i] == "" || arr[i] == null || arr[i] == "\n")) 
      newArr[arr[i]] = arr[i];
  }
  var newArr2 = new Array();
  var j=0;
  for (i in newArr) {
		newArr2[j++] = newArr[i];
  }
  return newArr2;
},
/**
 * Test whether oldArr differ from newArr 
 * 
 * @param {Array} oldArr
 * @param {Array} newArr
 * @return {Boolean} True if they are different
 */ 
isChangedArray: function(oldArr, newArr) {
  newArr = Util.normalizeArr(newArr);
  if (oldArr != null && newArr != null) {
     var isChanged = false;
     if (oldArr.length != newArr.length)
        isChanged = true;
     for (var i=0;i<oldArr.length&&(i<newArr.length);++i) {
	if (oldArr[i] != newArr[i])
          isChanged = true;
     }
     return isChanged;
  }
  return false;
}, 
/**
 * split text by new lines into array
 * 
 * @param {String} text Text contains new lines to split
 * @return {Array} Array of splitted strings
 */ 
convertToArray: function(text) {
  return text.replace(/\r/ig,";").split(";");
},

isEmptyStr: function(str) {
  if (null == str || str.length == 0) 
    return true;
  
  return false;
},

/**
 * get now time, format it in hh:mm am or pm 
 * 
 * @return {String} Formatted string
 */ 
getNowTimeFormatting: function() {
  Stamp = new Date();
  var Hours;
  var Mins;
  var Time;
  Hours = Stamp.getHours();
  if (Hours >= 12) {
    Time = " P.M.";
  }
  else {
    Time = " A.M.";
  }

  if (Hours > 12) {
    Hours -= 12;
  }

  if (Hours == 0) {
    Hours = 12;
  }

  Mins = Stamp.getMinutes();

  if (Mins < 10) {
    Mins = "0" + Mins;
  }

 return Hours + ":" + Mins + Time + '';

}
}